.\"
.\" Copyright (c) 1995 Joerg Wunsch
.\"
.\" All rights reserved.
.\"
.\" This program is free software.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/devfs_add_devswf.9,v 1.2.2.1 1999/09/05 11:27:13 peter Exp $
.\"
.Dd December 31, 1995
.Os FreeBSD
.Dt DEVFS_ADD_DEVSWF 9
.Sh NAME
.Nm devfs_add_devswf
.Nd wire device into devswitch table
.Sh SYNOPSIS
.Fd #include <sys/devfsext.h>
.Ft void *
.Fn devfs_add_devswf "void *devsw" "int minor" "int chrblk" "uid_t uid" "gid_t gid" "int perms" "char *fmt" "..."
.Sh DESCRIPTION
The call that adds an entry into devfs is
.Nm devfs_add_devswf .
.Pp
It's arguments are:
.Bl -tag -width 8X
.It Ar devsw
the address of the devsw entry the name should access
.It Ar minor
the minor number
.It Ar chrblk
whether the device is CHAR or BLK
.It Ar uid
Owner UID
.It Ar gid
Owner GID
.It Ar perms
Permissions (e.g. rwxr--r-- = 0744)
.It Ar fmt
Formatted string including name, and, if applicable, path to device within DEVFS 
.El
.Sh RETURN VALUES
It returns a token that can be used to link another name to the same
device
.Pq see Xr devfs_link 9 ,
or destroy the device.
.Sh SEE ALSO
.Xr devfs_link 9
.Sh HISTORY
The function
.Nm
appeared in
.Fx 2.2 .
.Sh AUTHORS
This man page has been written by
.if t J\(:org Wunsch
.if n Joerg Wunsch
after a description from Julian Elischer.
